[ARM Testing Update] 2020-11-03 - Youtube-DL and kernels

Hello ARM community.

Small update this time.

youtube-dl_logo


Some highlights:

  • A couple of our kernels got updated
  • Youtube-DL updated to 2020.11.01.1
  • Some python packages got updated

Upstream Notifications:

Older notifications

The ghostpcl and ghostxps requires manual intervention (if you have these installed):
Arch Linux - News: ghostpcl>=9.53.2-2 and ghostxps>=9.53.2-2 updates require manual intervention

The nss package requires manual intervention:
Arch Linux - News: nss>=3.51.1-1 and lib32-nss>=3.51.1-1 updates require manual intervention

The packages hplip and firewalld requires manual intervention:
Arch Linux - News: hplip 3.20.3-2 update requires manual intervention
Arch Linux - News: firewalld>=0.8.1-2 update requires manual intervention


Package Changes

(Tue Nov 3 18:57:37 CET 2020)

  • arm-testing community aarch64: 202 new and 182 removed package(s)
  • arm-testing core aarch64: 6 new and 6 removed package(s)
  • arm-testing extra aarch64: 51 new and 51 removed package(s)
:: Different overlay package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-10-30         2020-11-03
-------------------------------------------------------------------------------
                       bluedevil-git5.20.80.r2183.gd996be6a-15.20.80.r2188.gbaaebc7c-1
                          breeze-git5.20.80.r2079.g79db59e0-15.20.80.r2082.g640fde21-1
                    breeze-icons-git5.76.0.r1648.g0639985e-15.76.0.r1653.g0a3dbdf5-1
                       calindori-git       r429.8517f4f-1   1.2.r33.gdaa5d47-1
                              chatty             0.1.16-2             0.1.16-3
                        discover-git5.20.80.r7856.gb79a608d-15.20.80.r7857.g718e6fdc-1
                         drkonqi-git5.20.80.r553.g8e804a7c-15.20.80.r555.gb21006b7-1
             extra-cmake-modules-git5.76.0.r3201.ga670c57-15.76.0.r3203.g2135cbd-1
               gnome-contacts-mobile               3.38-1               3.38-2
             kaccounts-providers-git20.08.0.r56.g5b3107d-120.08.0.r60.ge2fc11c-1
                        kcmutils-git5.76.0.r448.g23569b2-15.76.0.r449.g227f0e2-1
                         kconfig-git5.76.0.r740.g637775d-15.76.0.r741.g0ce10a9-1
                     kcoreaddons-git5.76.0.r1054.gdfe5100-15.76.0.r1056.g0958326-1
                   kde-cli-tools-git5.20.80.r1814.g8674694-15.20.80.r1815.gfd245e4-1
                      kdeconnect-git20.08.0.r100.g19d1fb6e-120.08.0.r110.gbbce00e0-1
                 kdelibs4support-git5.76.0.r965.gc96452e0-15.76.0.r966.gff7a303c-1
                kdeplasma-addons-git5.20.80.r8413.g2ce2e554c-15.20.80.r8414.g4ace2bc3b-1
                   kfilemetadata-git5.76.0.r722.g7bd0cde-15.76.0.r736.g7db52ef-1
                      kio-extras-git    r6893.g495428f3-1    r6898.gbe979be8-1
                             kio-git5.76.0.r4284.g5e5a2ea8-15.76.0.r4296.g9a9fb3be-1
                       kirigami2-git5.76.0.r2469.g8b2b53b3-15.76.0.r2482.g654d369e-1
                     kitemmodels-git5.76.0.r483.g4fe2763-15.76.0.r484.g2a87438-1
                      knetattach-git5.20.80.r7952.g23d221319-15.20.80.r7959.gca08ebb37-1
                  knotifications-git5.76.0.r575.g8365ca9-25.76.0.r578.g64e6e6b-1
                        kongress-git        r99.73206c8-1       r101.ca57b33-1
                        kpackage-git5.76.0.r607.ga21708c-15.76.0.r609.g85ab436-1
                    kpeoplevcard-git        r40.f07234c-1    0.1.r2.gf07234c-1
                           kross-git5.76.0.r294.g98705da-15.76.0.r295.gb90ebf8-1
                         krunner-git5.76.0.r523.g6c231bd-15.76.0.r524.gc37a188-1
                         kscreen-git5.20.80.r1279.gdeaaa7d-15.20.80.r1281.g9929163-1
                   kscreenlocker-git5.20.80.r806.g243ff3a-15.20.80.r807.g29153f1-1
                       ksysguard-git5.20.80.r3409.gf7b31b33-15.20.80.r3413.g3f7f2294-1
                     ktexteditor-git5.76.0.r2531.gf63be38c-15.76.0.r2533.g73197b6e-1
                         kwallet-git5.76.0.r1013.gf69c0ac-15.76.0.r1014.gd2d6af9-1
                 kwayland-server-git5.20.80.r1160.gbfc4dad-15.20.80.r1167.g89c8bb2-1
                  kwidgetsaddons-git5.76.0.r724.gec9881cd-15.76.0.r725.gf931ac7b-1
                            kwin-git5.20.80.r18552.g2715cbc86-15.20.80.r18588.g3d43f8ad9-1
                         kxmlgui-git5.76.0.r673.g66a9b22-15.76.0.r674.gf691b08-1
                        libkgapi-git      r1212.452791c-1      r1213.2255420-1
                      libkscreen-git5.20.80.r1536.gbe83b5d-15.20.80.r1546.g2df014f-1
                    libksysguard-git5.20.80.r2000.g9b5161c-15.20.80.r2001.gebcf875-1
                maliit-framework-git     r1886.ee7d872c-10.99.1.r54.gee7d872c-1
                            nota-git       r212.5e698f4-1 1.1.1.r20.g5e698f4-1
                    paperdesktop-git        102.a338135-1        113.d6b6b6f-1
                               phosh              0.5.0-1              0.5.0-2
            pinephone-manjaro-tweaks           20201012-1           20201102-1
                plasma-angelfish-git       r737.d4832c2-11.5.1.r145.gd4832c2-1
                plasma-bigscreen-git       r338.e4d43b4-1       r339.8a1ef82-1
                   plasma-camera-git       r179.a6cc2b8-1   1.0.r86.ga6cc2b8-1
                  plasma-desktop-git5.20.80.r7952.g23d221319-15.20.80.r7959.gca08ebb37-1
                plasma-framework-git5.76.0.r15624.gd578c2a15-15.76.0.r15632.ge002589da-1
              plasma-integration-git5.20.80.r490.g6e81914-15.20.80.r491.g00fc43a-1
                     plasma-nano-git       r126.6a45603-15.19.90.r3.g6a45603-1
                       plasma-nm-git5.20.80.r2968.g60f7c2e9-15.20.80.r2971.g9d99d2d7-1
                       plasma-pa-git5.20.80.r863.g33cd612-15.20.80.r871.g35f3d2e-1
         plasma-phone-components-git      r1230.00103f5-15.19.90.r17.gda47c3d-1
                      plasma-pix-git   0.1+r478.2e882cb-1 1.1.1.r36.g2e882cb-1
          plasma-wayland-session-git5.20.80.r9571.gf93d2b55c-15.20.80.r9588.gf6269cadd-1
                plasma-workspace-git5.20.80.r9571.gf93d2b55c-15.20.80.r9588.gf6269cadd-1
     plasma-workspace-wallpapers-git5.20.80.r234.g91aa1db-15.20.80.r235.g28fd33c-1
                polkit-kde-agent-git5.20.80.r469.g728e2f9-15.20.80.r470.g5a3f6de-1
                      powerdevil-git5.20.80.r2372.g13059717-15.20.80.r2373.g3e0ce7c8-1
                         purpose-git5.76.0.r796.g920a693-15.76.0.r797.gd253458-1
                        spacebar-git       r268.0f8fa54-1       r309.7ec675a-1
             syntax-highlighting-git5.76.0.r1356.g6684fa5b-15.76.0.r1368.g393b100d-1
                  systemsettings-git5.20.80.r2304.gf8f235cc-15.20.80.r2310.gb89741c7-1
  telepathy-kde-common-internals-git      r1986.2ff9192-119.11.80.r63.g2ff9192-1
                           vvave-git       r740.454ddcf-1 1.1.1.r27.g454ddcf-1
          xdg-desktop-portal-kde-git5.20.80.r323.g4bb5086-15.20.80.r324.g24ad471-1


:: Different sync package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-10-30         2020-11-03
-------------------------------------------------------------------------------
                             absl-py             0.10.0-1             0.11.0-1
                        ansible-lint              4.3.5-1              4.3.6-1
                   archlinux-contrib           20200816-1           20201101-1
                             buildah             1.16.5-1             1.17.0-1
                             calibre              5.3.0-2              5.4.2-1
                             chezmoi              1.8.7-1              1.8.8-1
                             cockpit                230-1                231-1
                   cockpit-dashboard                230-1                231-1
                    cockpit-machines                230-1                231-1
                         cockpit-pcp                230-1                231-1
                             confuse                3.3-1                3.3-2
                               dante              1.4.2-3              1.4.2-4
                          diffoscope                160-2                161-1
                               doctl             1.49.0-1             1.50.0-1
                            dropbear            2020.80-1            2020.81-1
                        dropbear-scp            2020.80-1            2020.81-1
                               eclib           20190909-9          20190909-10
                                exim               4.94-2               4.94-3
                              facter            3.14.13-1            3.14.14-2
                              faudio              20.10-1              20.11-1
                              fcitx5     0.0.0.20201028-1     0.0.0.20201030-1
                      fcitx5-chewing     0.0.0.20200728-3     0.0.0.20201029-1
               fcitx5-chinese-addons     0.0.0.20201019-1     0.0.0.20201028-1
                   fcitx5-configtool     0.0.0.20201015-1     0.0.0.20201101-1
                           fcitx5-qt     0.0.0.20201015-1     0.0.0.20201029-1
              firefox-tree-style-tab             3.5.33-1             3.5.34-1
                         geoipupdate              4.3.0-3              4.5.0-1
                              gifski              1.2.2-1              1.2.3-1
                                grpc             1.33.1-1             1.33.2-1
                            grpc-cli             1.33.1-1             1.33.2-1
                              hidapi              0.9.0-2             0.10.0-2
                              httpie              2.3.0-1              2.3.0-2
                                hugo             0.76.5-1             0.77.0-1
                               i3-wm             4.18.2-2             4.18.3-1
                       i3status-rust             0.14.1-4             0.14.2-1
                             ipython             7.18.1-1             7.19.0-1
                                jmol           14.31.13-1           14.31.14-1
                               jsmol           14.31.13-1           14.31.14-1
                                 k9s             0.22.1-1             0.23.3-1
              kconfig-hardened-check              0.5.5-1              0.5.9-1
                           kustomize              3.8.5-1              3.8.6-1
                               lcalc              1.23-20              1.23-21
                            libdwarf           20200825-1           20201020-1
                             libgiac           1.6.0.25-1           1.6.0.25-2
                              libime     0.0.0.20201013-1     0.0.0.20201029-1
              libperconaserverclient          8.0.20_11-2          8.0.21_12-1
                           libsigrok              0.5.2-5              0.5.2-6
                             libtpms              0.7.3-2              0.7.4-1
                            mailman3              3.3.1-2              3.3.1-3
                            minitube              3.6.2-1              3.6.5-1
                     molecule-docker              0.2.4-1              0.3.3-1
                             mtpaint            3.49.27-1            3.49.33-1
                           mythes-pl                1.5-4           1:0.8.67-1
                     nginx-mod-naxsi                1.1-1                1.2-1
                             openocd           1:0.10.0-3           1:0.10.0-4
                  papirus-icon-theme           20201001-1           20201031-1
                                pari             2.11.4-3             2.13.0-2
                      percona-server          8.0.20_11-2          8.0.21_12-1
              percona-server-clients          8.0.20_11-2          8.0.21_12-1
                      perl-type-tiny           1.010006-1           1.012000-1
                            php-grpc             1.33.1-1             1.33.2-1
                             plocate              1.0.6-1              1.0.7-1
                              puppet             6.18.0-1             6.19.1-1
                         python-adal              1.2.4-1              1.2.5-1
                        python-anyio              2.0.2-1              2.0.2-2
                        python-build              0.0.4-1              0.1.0-1
                      python-cypari2              2.1.1-3            2.1.2b1-1
                    python-cysignals             1.10.2-5             1.10.2-6
                      python-dulwich             0.20.6-1            0.20.11-1
                  python-elementpath              2.0.3-1              2.0.4-1
                  python-google-auth             1.22.1-1             1.23.0-1
                       python-grpcio             1.33.1-1             1.33.2-1
                         python-h5py             2.10.0-3              3.0.0-1
                 python-h5py-openmpi             2.10.0-2              3.0.0-1
                   python-hypothesis             5.38.1-1             5.41.0-1
                 python-hypothesmith              0.1.5-1              0.1.6-1
          python-importlib_resources              3.2.1-1              3.3.0-1
              python-internetarchive              1.9.4-1              1.9.5-1
                        python-jinja             2.11.2-1             2.11.2-2
                  python-marshmallow              3.8.0-1              3.9.0-1
             python-oslo-concurrency              4.3.0-1              4.3.1-1
                python-pandocfilters              1.4.2-4              1.4.3-1
                 python-phonenumbers            8.12.11-1            8.12.12-1
                       python-psutil              5.7.2-1              5.7.3-1
                 python-pycryptodome              3.9.8-2              3.9.9-1
                     python-pydantic              1.7.1-1              1.7.2-1
                       python-pygame              1.9.6-3              2.0.0-1
              python-pytest-services              2.2.0-1              2.2.1-1
                    python-reportlab             3.5.54-1             3.5.55-1
              python-requirementslib             1.5.13-1             1.5.14-1
                      python-tempora              4.0.0-1              4.0.1-1
                         python-toml             0.10.1-2             0.10.2-1
                      python-trimesh             3.8.11-1             3.8.12-1
                       python2-jinja             2.11.2-1             2.11.2-2
                      python2-psutil              5.7.2-1              5.7.3-1
                python2-pycryptodome              3.9.8-2              3.9.9-1
                        python2-toml             0.10.1-2             0.10.2-1
                            qtractor             0.9.17-1             0.9.18-1
                          rebuilderd              0.4.0-1              0.5.0-1
                       rust-analyzer           20201026-1           20201102-1
                               swaks         20190914.0-2         20201014.0-1
                           terraform             0.13.4-1             0.13.5-1
                          terragrunt             0.25.4-1             0.26.0-1
                                tmux              3.1_b-2              3.1_c-1
                               tmuxp              1.5.6-1              1.5.8-1
                               v2ray             4.31.3-1             4.32.0-1
         v2ray-domain-list-community     20201022051534-1     20201101021801-1
                           wordpress              5.5.1-1              5.5.3-1
                                xcas           1.6.0.25-1           1.6.0.25-2
                           xlockmore               5.65-1               5.66-1
                             yoshimi              1.7.2-1              1.7.3-1
                          youtube-dl         2020.09.20-1       2020.11.01.1-1
                                 zim             0.73.2-1             0.73.3-1
                              amfora                    -              1.5.0-3
                  perl-json-webtoken                    -               0.10-5
                perl-mail-imapclient                    -               3.42-3
                           perl-ntlm                    -               1.09-5
                            perl-par                    -              1.016-3
                     perl-par-packer                    -              1.050-5
                    perl-sys-meminfo                    -               0.99-2
                perl-test-mock-guard                    -               0.10-3
                 perl-unicode-string                    -               2.10-4
               python-markdown-it-py                    -              0.5.6-1
                  python-myst-parser                    -            0.12.10-1
                   python-pynitrokey                    -              0.4.1-2
               python-pytest-datadir                    -              1.3.1-1
                   python-pytest-mpi                    -                0.4-1
           python-pytest-regressions                    -              2.0.2-1
                  python-sphinx-furo                    -  2020.10.15.beta13-1
           python-sphinx-inline-tabs                    -   2020.10.19.beta4-1
                                vals                    -             0.10.3-1
                             vst3sdk                    -    3.7.0_build_116-1
                    vst3sdk-examples                    -    3.7.0_build_116-1


:: Different overlay package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-10-30         2020-11-03
-------------------------------------------------------------------------------
                               linux              5.9.2-1              5.9.3-1
                       linux-headers              5.9.2-1              5.9.3-1
                            linux-rc           5.10.rc1-1           5.10.rc2-1
                    linux-rc-headers           5.10.rc1-1           5.10.rc2-1


:: Different sync package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-10-30         2020-11-03
-------------------------------------------------------------------------------
                             libldap             2.4.53-1             2.4.54-1
                            openldap             2.4.53-1             2.4.54-1


:: Different overlay package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-10-30         2020-11-03
-------------------------------------------------------------------------------
                 manjaro-chrootbuild      r150.gc371d2e-1      r160.g0c1e061-1
                            mesa-git20.3.0_devel.130362.fb56fb02a1e-120.3.0_devel.130556.d5dd779c490-1


:: Different sync package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-10-30         2020-11-03
-------------------------------------------------------------------------------
                  alsa-card-profiles13.99.2+22+ga9c6d43b7-1            13.99.3-1
                            composer              2.0.3-1              2.0.4-1
                         egl-wayland              1.1.5-1   1.1.5+2+g9c9c4c6-1
                             flatpak              1.8.1-1              1.8.2-1
                             freetds              1.2.6-1             1.2.10-1
                                 gdb                9.2-2               10.1-1
                          gdb-common                9.2-2               10.1-1
                                 git             2.29.1-1             2.29.2-1
                      gnome-mahjongg             3.38.2-1             3.38.3-1
                       gnome-nibbles             3.38.1-1             3.38.2-1
                              gpaste             3.38.2-1             3.38.3-1
                               icewm              1.8.3-1              1.9.0-1
                         imagemagick          7.0.10.34-1          7.0.10.35-1
                     imagemagick-doc          7.0.10.34-1          7.0.10.35-1
                      knotifications           5.75.0-1.1             5.75.0-2
                            libde265              1.0.7-1              1.0.8-1
                            libfido2              1.5.0-2              1.5.0-3
                            libhandy              1.0.0-2              1.0.1-1
                            libpulse13.99.2+22+ga9c6d43b7-1            13.99.3-1
                              libzip              1.6.1-2              1.7.3-1
                               meson             0.55.3-1             0.56.0-1
                              mtools             4.0.24-1             4.0.25-1
                               nyacc             1.02.1-1             1.03.1-1
                            pipewire             0.3.13-2             0.3.14-1
                       pipewire-alsa             0.3.13-2             0.3.14-1
                       pipewire-docs             0.3.13-2             0.3.14-1
                       pipewire-jack             0.3.13-2             0.3.14-1
                      pipewire-pulse             0.3.13-2             0.3.14-1
                          pulseaudio13.99.2+22+ga9c6d43b7-1            13.99.3-1
                pulseaudio-bluetooth13.99.2+22+ga9c6d43b7-1            13.99.3-1
                pulseaudio-equalizer13.99.2+22+ga9c6d43b7-1            13.99.3-1
                     pulseaudio-jack13.99.2+22+ga9c6d43b7-1            13.99.3-1
                     pulseaudio-lirc13.99.2+22+ga9c6d43b7-1            13.99.3-1
                      pulseaudio-rtp13.99.2+22+ga9c6d43b7-1            13.99.3-1
                 pulseaudio-zeroconf13.99.2+22+ga9c6d43b7-1            13.99.3-1
                       python-django              3.1.2-2              3.1.3-1
                        python-numpy             1.19.2-1             1.19.3-1
                   python-virtualenv            20.0.33-1            20.0.35-1
                  python2-virtualenv            20.0.33-1            20.0.35-1
                                qpdf             10.0.2-1             10.0.3-1
                  rebuilderd-website              0.3.1-1                0.4-1
                               samba             4.13.0-1             4.13.1-1
                           smbclient             4.13.0-1             4.13.1-1
                        sof-firmware                1.6-1                1.6-2
                      telepathy-idle              0.2.0-4              0.2.2-1
                              thunar             1.8.15-1             1.8.16-1
                           xfdesktop             4.14.2-2             4.14.3-1
                               xfwm4             4.14.5-1             4.14.6-1
                              xmlsec             1.2.30-2             1.2.31-1

Testers needed on arm-testing branch

We are in need of testers for our arm-testing and arm-unstable branches.
So if you are adventurous and want newer software quicker, we would love for you to help us test out the new packages in arm-testing branch.

All you have to do to switch to this branch is:

  • Run this command to switch branch: sudo pacman-mirrors -aS testing && sudo pacman -Syyu. This will generate a new mirrorlist for you, sync your databases with the new mirror and update your system using the arm-testing branch.

We would then love for you to give feedback in our update posts in #arm:testing-updates. That way we can better find and fix bugs, before they hit arm-stable branch. Thank you!


  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

1 Like

Known Issues and Solutions

This is a wiki post, please edit it when you find a solution to an issue you encountered

DP Alt Mode no longer works on Pinebook Pro
This is a known issue, the hacky patch we had to enable this has broken in recent kernels.
@tsys and Ayufan are looking into it.
As a workaround you can install linux-pinebookpro again.

Old Issues

Plasma Mobile Keyboard
The plasma mobile onscreen keyboard does not work with QT 5.15.0.
This is fixed by updating to kwin 5.19.3-1.1.

PinePhone uboot
This update to the PinePhone Uboot package (2020.04-2), changed how the DTS is loaded from the kernel, since the Kernel DTS for the Pinephone also changed. When doing this update on the PinePhone images from Alpha5 and back, please make this change to the /boot/extlinux/extlinux.conf before rebooting:

  • sun50i-a64-pinephone.dtb to sun50i-a64-pinephone-1.2.dtb
  • root=LABEL=ROOT to root=LABEL=ROOT_MNJRO

Manual interventions:
The nss and zn_poly packages prior to version 3.51.1-1 and version 0.9.2-2 respectively, were missing a soname link each. This has been fixed in 3.51.1-1 and 0.9.2-2 of these packages, so the upgrade will need to overwrite the untracked files created by ldconfig. If you get any of these errors

nss: /usr/lib/p11-kit-trust.so exists in filesystem
zn_poly: /usr/lib/libzn_poly-0.9.so  exists in filesystem

when updating, use

pacman -Syu --overwrite /usr/lib/p11-kit-trust.so --overwrite /usr/lib/libzn_poly-0.9.so

to perform the upgrade.

Device stopped booting after Uboot update
The uboot update included a change to the extlinux.conf file. This change will be incompatible with the old 1 partition layout of some devices.
So if you are updating installs made with images 20.02.1 or older, you need to apply this fix before rebooting!
To fix this please edit your /boot/extlinux/extlinux.conf file and add 2 periods in front of each first slash, like so:

KERNEL ../Image
FDT ../dtbs/ #etc.
APPEND initrd=../initramfs-linux.img #etc.

Save the file and reboot.

Everything went smooth on my RPi

β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   olividir@RPi 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   ------------ 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   OS: Manjaro ARM Linux aarch64 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   Host: Raspberry Pi 4 Model B Rev 1.1 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ            β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   Kernel: 5.4.73-1-MANJARO-ARM 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   Uptime: 1 min 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   Packages: 761 (pacman) 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   Shell: bash 5.0.18 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   Resolution: 1920x1080 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   Terminal: /dev/pts/0 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   CPU: BCM2835 (4) @ 1.500GHz 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   Memory: 562MiB / 923MiB 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ                           
                                                       

I am however not a heavy arm user.

1 Like

It looks like they are keeping up with their work with youtube-dl by providing the files on their home page even though they have a take down order with their git repo.

1 Like

Pinbook Pro - everything went smooth.

does linux-rc suitable for Rpi4?

It will require manual interventions and installing new packages to work.
We don’t recommend it. There’s no benefit in running linux-rc on the raspberry pi at this point.

Hi,

Odroid c4 kde up to date, it works
I don’t know why with the last up date more ram was needed for a normal device usage
I hope less ram will be use with this up date

[nlc4@c4 ~]$ date -u
mer. 04 nov. 2020 09:55:22 UTC
[nlc4@c4 ~]$ screenfetch
                             nlc4@c4.test.2020.05.14
                             OS: Manjaro-ARM 20.10
                             Kernel: aarch64 Linux 5.9.3-1-MANJARO-ARM
         #####               Uptime: 1m
        #######              Packages: Unknown
        ##O#O##              Shell: bash 5.0.18
        #######              Resolution: 1920x1080
      ###########            DE: KDE 5.75.0 / Plasma 5.20.2
     #############           WM: KWin
    ###############          GTK Theme: Breeze [GTK2/3]
    ################         Icon Theme: oxygen
   #################         
 #####################       CPU: Unknown @ 4x 1.908GHz
 #####################       GPU: 
   #################         RAM: 549MiB / 3627MiB
                            
                            
                            
[nlc4@c4 ~]$ uname -a
Linux c4.test.2020.05.14 5.9.3-1-MANJARO-ARM #1 SMP Sun Nov 1 14:00:56 CET 2020 aarch64 GNU/Linux
[nlc4@c4 ~]$